Status: Resolved Priority: Should have
Author: Alexander Stehlik Category: Command
Created: 2012-04-14 Assigned To:
Updated: 2012-04-15 Due date:
PHP Version:
Has patch: No
Complexity: easy
Affected Flow version: Git master
Subject: Forwarding of CLI requests throws an exception
Description

When you call a CLI action with missing parameters you get an exception with no further explanation.

This is because TYPO3\FLOW3\Cli\CommandController::forward() throws a\TYPO3\FLOW3\MVC\Exception\StopActionException
that is not catched anywhere.

Expected behaviour would be to catch the exception and try do process a new request.

Related issues:
related to TYPO3.Flow - Bug # 32665: CLI Requests must still work even if fir... Closed 2011-12-18

Associated revisions
Revision f9847d2b - 2012-04-14 15:17 - Alexander Stehlik

[BUGFIX] Fixed empty exception for CLI commands

When issuing an invalid command line (missing or wrong arguments),
FLOW3 displayed an exception #0 without further explanation.
The reason was an uncaught StopActionException thrown in the
CommandController::forward() method.

This patch fixes that bug and additionally eliminates some
duplicate code in CommandRequestHandler.

Fixes: #36030
Releases: 1.1
Change-Id: Ie4b42b63010890befd94f1df2f199c03d6b82197

History
#1 - 2012-04-14 13:05 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10456

#2 - 2012-04-14 15:20 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10456

#3 - 2012-04-15 02:39 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f9847d2b25c7d700f715932ef18c1473e8b251fc.
